package com.openhis.web.document.appservice;

import com.core.common.core.domain.R;
import com.openhis.web.document.dto.DocTemplateDto;

import javax.servlet.http.HttpServletRequest;

/**
 * 文书模板-一 业务接口
 */
public interface IDocTemplateAppService {

    public R<?> add(DocTemplateDto docTemplateDto);

    public R<?> delete(Long id);

    public R<?> update(DocTemplateDto docTemplateDto);

    public R<?> getById(Long id);

    public R<?> getListByDefinitionId(Long definitionId);

    public R<?> getPageList(Integer pageNo, Integer pageSize, String searchKey, HttpServletRequest request);

}